## hubzero-mw2-exec-virtualssh 2.2.0-2+deb8

=== Makefile ===
# @packagehubzero-mw2-exec-virtualssh
# @file         Makefile
# @author       Pascal Meunier <pmeunier@purdue.edu>
# @copyright    Copyright (c) 2016-2017 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
#
# Copyright (c) 2016-2017 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

# Common libraries are installed as owned by root so the client can't modify them, as root may need to use them 

VARLIBDIR=$(DESTDIR)/var/lib
LOGDIR=$(DESTDIR)/var/log
OWNER=root
USRBIN=$(DESTDIR)/usr/bin
USRSBIN=$(DESTDIR)/usr/sbin
USRLIB=$(DESTDIR)/usr/lib
ETC=$(DESTDIR)/etc
USRSHARE=$(DESTDIR)/usr/share
USRSHAREMAN=$(DESTDIR)/usr/share/man
USRSHAREDOC=$(DESTDIR)/usr/share/doc
SBIN=$(DESTDIR)/sbin
VARLOG=$(DESTDIR)/var/log
USRSHAREMANMAN8=$(DESTDIR)/usr/share/man/man8
USRLOCAL=$(DESTDIR)/usr/local

all:
	@true

install:
	install --mode 0755 -D vsshd_start $(USRBIN)/vsshd_start
	install --mode 0755 -D vssh_exec_proxy $(USRBIN)/vssh_exec_proxy
	# no logs so no log rotation
	install --mode 0755 -d $(ETC)/mw-virtualssh
	install --mode 0640 -D exec_ssh_config $(ETC)/mw-virtualssh/exec_ssh_config
	install --mode 0644 -D sshd_config $(ETC)/mw-virtualssh/sshd_config
	install --mode 0755 -D xauth $(ETC)/mw-virtualssh/xauth
	install --mode 0750 -d $(VARLOG)/mw-virtualssh

manual_install: install
	@true

uninstall:
	rm -f $(USRBIN)/vsshd_start
	rm -f $(USRBIN)/vssh_exec_proxy

postinst:
	@true

clean:
	rm -f $(USRBIN)/vsshd_start
	rm -f $(USRBIN)/vssh_exec_proxy
	rm -f $(ETC)/mw-virtualssh/exec_ssh_config
	rm -f $(ETC)/mw-virtualssh/sshd_config
	rm -f $(ETC)/mw-virtualssh/xauth
	rm -f $(ETC)/mw-virtualssh/ssh_guest_key
	rm -rf $(ETC)/mw-virtualssh/ssh

.PHONY: all install uninstall postinst clean

=== debian/changelog ===
hubzero-mw2-exec-virtualssh (2.2.0-2+deb8) unstable; urgency=low

  * Initial release of packaged hubzero-mw2-exec-virtualssh

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 13 Apr 2018 15:48:58 -0400

=== debian/rules ===
#!/usr/bin/make -f
#
# @packagehubzero-mw2-exec-virtualssh
# @file         rules
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CFLAGS
export CPPFLAGS
export CXXFLAGS
export LDFLAGS

DEB_MAJOR:=$(shell lsb_release -r -s | cut -d . -f 1)

configure:
	@echo "########## configure ##########"
	dh_testdir
	>$@

build: configure
	@echo "########## build ##########"
	dh_testdir
	$(MAKE)
	>$@

clean:
	@echo "########## clean ##########"
	dh_testdir
	dh_testroot
	rm -fr build configure
	$(MAKE) clean
	dh_clean

install: build
	@echo "########## install ##########"
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	#$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-mw2-exec-virtualssh install
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-mw2-exec-virtualssh COMPILE=--no-compile install

binary-indep: install
	@echo "########## binary-indep ##########"
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installlogrotate -i
	dh_installinit -i
	dh_installman -i
	#dh_python2 -i
	dh_link -i
	dh_strip -i
	dh_lintian -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	@echo "########## binary-arch ##########"
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installlogrotate -a
	dh_installinit -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep 
#binary: binary-arch
	@echo "########## binary ##########"

.PHONY: clean binary-indep binary-arch binary install

## hubzero-mw2-exec-virtualssh 2.2.1-1+deb8

=== Makefile ===
--- 
+++ 
@@ -51,6 +51,7 @@
 install:
 	install --mode 0755 -D vsshd_start $(USRBIN)/vsshd_start
 	install --mode 0755 -D vssh_exec_proxy $(USRBIN)/vssh_exec_proxy
+	ln -s $(USRBIN)/vssh_exec_proxy $(USRBIN)/virtualssh_client
 	# no logs so no log rotation
 	install --mode 0755 -d $(ETC)/mw-virtualssh
 	install --mode 0640 -D exec_ssh_config $(ETC)/mw-virtualssh/exec_ssh_config

=== debian/changelog ===
hubzero-mw2-exec-virtualssh (2.2.1-1+deb8) unstable; urgency=low

  * Initial release of packaged hubzero-mw2-exec-virtualssh
  * add symlink to cover issues due to filename changes
  * for X11 forwarding, start SSH server in the tool container
  * Docker support: either start an SSH server in the tool container
    and connect to that, or use docker exec /bin/bash
  * commented out 'please wait' message as it seemed to confuse people
    more than help

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 23 Apr 2019 11:39:51 -0400

hubzero-mw2-exec-virtualssh (2.2.0-2) unstable; urgency=low

  * Initial release of packaged hubzero-mw2-exec-virtualssh

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 13 Apr 2018 15:48:58 -0400

## hubzero-mw2-exec-virtualssh 2.2.2-1+deb8

=== Makefile ===
--- 
+++ 
@@ -51,7 +51,7 @@
 install:
 	install --mode 0755 -D vsshd_start $(USRBIN)/vsshd_start
 	install --mode 0755 -D vssh_exec_proxy $(USRBIN)/vssh_exec_proxy
-	ln -s $(USRBIN)/vssh_exec_proxy $(USRBIN)/virtualssh_client
+	ln -s /usr/bin/vssh_exec_proxy $(USRBIN)/virtualssh_client
 	# no logs so no log rotation
 	install --mode 0755 -d $(ETC)/mw-virtualssh
 	install --mode 0640 -D exec_ssh_config $(ETC)/mw-virtualssh/exec_ssh_config

=== debian/changelog ===
hubzero-mw2-exec-virtualssh (2.2.2-1+deb8) unstable; urgency=low

  * fix /usr/bin/virtualssh_client symlink for packaging

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 23 Apr 2019 15:28:05 -0400

hubzero-mw2-exec-virtualssh (2.2.1-1) unstable; urgency=low

  * Initial release of packaged hubzero-mw2-exec-virtualssh
  * add symlink to cover issues due to filename changes
  * for X11 forwarding, start SSH server in the tool container
  * Docker support: either start an SSH server in the tool container
    and connect to that, or use docker exec /bin/bash
  * commented out 'please wait' message as it seemed to confuse people
    more than help

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 23 Apr 2019 11:39:51 -0400

## hubzero-mw2-exec-virtualssh 2.2.4-1+deb9

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,10 @@
 # @packagehubzero-mw2-exec-virtualssh
 # @file         Makefile
-# @author       Pascal Meunier <pmeunier@purdue.edu>
-# @copyright    Copyright (c) 2016-2017 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2016-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
 #
-# Copyright (c) 2016-2017 HUBzero Foundation, LLC.
+# Copyright (c) 2016-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -25,10 +24,10 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
-# Common libraries are installed as owned by root so the client can't modify them, as root may need to use them 
+# Common libraries are installed as owned by root so the client can't modify them, as root may need to use them
 
 VARLIBDIR=$(DESTDIR)/var/lib
 LOGDIR=$(DESTDIR)/var/log
@@ -51,6 +50,7 @@
 install:
 	install --mode 0755 -D vsshd_start $(USRBIN)/vsshd_start
 	install --mode 0755 -D vssh_exec_proxy $(USRBIN)/vssh_exec_proxy
+	rm -f $(USRBIN)/virtualssh_client
 	ln -s /usr/bin/vssh_exec_proxy $(USRBIN)/virtualssh_client
 	# no logs so no log rotation
 	install --mode 0755 -d $(ETC)/mw-virtualssh
@@ -65,17 +65,19 @@
 uninstall:
 	rm -f $(USRBIN)/vsshd_start
 	rm -f $(USRBIN)/vssh_exec_proxy
-
-postinst:
-	@true
-
-clean:
-	rm -f $(USRBIN)/vsshd_start
-	rm -f $(USRBIN)/vssh_exec_proxy
 	rm -f $(ETC)/mw-virtualssh/exec_ssh_config
 	rm -f $(ETC)/mw-virtualssh/sshd_config
 	rm -f $(ETC)/mw-virtualssh/xauth
 	rm -f $(ETC)/mw-virtualssh/ssh_guest_key
 	rm -rf $(ETC)/mw-virtualssh/ssh
 
-.PHONY: all install uninstall postinst clean
+postinst:
+	@true
+
+docker_install: manual_install
+	install --mode 0755 -D vsshd_start_docker $(USRBIN)/vsshd_start
+
+clean:
+	@true
+
+.PHONY: all install uninstall postinst clean docker_install manual_install

=== debian/changelog ===
hubzero-mw2-exec-virtualssh (2.2.4-1+deb9) unstable; urgency=low

  * add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 19 Aug 2020 20:27:42 -0700

hubzero-mw2-exec-virtualssh (2.2.3-1) unstable; urgency=low

  * update copyright/trademark ownership
  * update email address references
  * remove per file @author references
  * update copyright years
  * make interactive shell a login shell
  * add string start ^ to container filter name regex to differentiate 3.tools from 13.tools
  * require xorg-x11-xauth package to get xauth
  * replace fancy quotes with plain quotes to avoid SyntaxError: Non-ASCII character
  * use docker -t intead of docker -it to run grep command to avoid error about input device not being a TTY
  * use SSH server in container instead of docker exec when SSH_TTY is not flagged
  * refer to vssh_exec_proxy instead of virtualssh_client
  * more debug info; check SSH_TTY for docker exec options;  wait before container has finished starting before doing docker exec
  * try to pass command to execute inside docker container
  * testing procedure for virtual SSH on exechost
  * install correct version of vsshd_start for docker
  * manual_install bug fix when reinstalling: delete before attempting to create symlink
  * added docker_install Makefile target

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Sun, 03 May 2020 09:33:51 -0700

hubzero-mw2-exec-virtualssh (2.2.2-1) unstable; urgency=low

  * fix /usr/bin/virtualssh_client symlink for packaging

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 23 Apr 2019 15:28:05 -0400

=== debian/control ===
Source: hubzero-mw2-exec-virtualssh
Section: misc
Priority: optional
Maintainer: Pascal Meunier <pmeunier@purdue.edu>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.8.4
X-Python-Version: >= 2.7
Homepage: http://hubzero.org

Package: hubzero-mw2-exec-virtualssh
Architecture: all
Depends: python (>=2.7), ${misc:Depends}
Description: HUBzero Middleware 2 Execution Virtual SSH Service
 Execution Virtual SSH service for HUBzero Middleware 2

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,10 @@
 #
 # @packagehubzero-mw2-exec-virtualssh
 # @file         rules
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -26,7 +25,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 # Uncomment this to turn on verbose mode.
